Next: Return information about the process, Previous: Change the standard display, Up: Agent’s Assuan Protocol [Contents][Index]

#### 2.6.15 Get the Event Counters

      GETEVENTCOUNTER

This function return one status line with the current values of the event counters. The event counters are useful to avoid polling by delaying a poll until something has changed. The values are decimal numbers in the range `0` to `UINT_MAX` and wrapping around to 0. The actual values should not be relied upon; they shall only be used to detect a change.

The currently defined counters are:

`ANY`

  Incremented with any change of any of the other counters.

`KEY`

  Incremented for added or removed private keys.

`CARD`

  Incremented for changes of the card readers stati.